//------------------------------------------------------------------------------------
// irr::video::SExposedVideoData wrappers
//
// WARNING: this cannot be created manually.  it can be obtained by calling
// IVideoDriver::getExposedVideoData()
//------------------------------------------------------------------------------------


extern "C" {

	IDirect3D9* IrrVideo_SExposedVideoData_getIDirect3D9(SExposedVideoData* viddata)
	{
		if (viddata)
			return viddata->D3D9.D3D9;
		else
			return 0;
	}
	
	IDirect3DDevice9* IrrVideo_SExposedVideoData_getIDirect3DDevice9(SExposedVideoData* viddata)
	{
		if (viddata)
			return viddata->D3D9.D3DDev9;
		else
			return 0;
	}
	
	void* IrrVideo_SExposedVideoData_getIDirect3D9HWND(SExposedVideoData* viddata)
	{
		if (viddata)
			return viddata->D3D9.HWnd;
		else
			return 0;
	}
	
	IDirect3D8* IrrVideo_SExposedVideoData_getIDirect3D8(SExposedVideoData* viddata)
	{
		if (viddata)
			return viddata->D3D8.D3D8;
		else
			return 0;
	}
	
	IDirect3DDevice8* IrrVideo_SExposedVideoData_getIDirect3DDevice8(SExposedVideoData* viddata)
	{
		if (viddata)
			return viddata->D3D8.D3DDev8;
		else
			return 0;
	}
	
	void* IrrVideo_SExposedVideoData_getIDirect3D8HWND(SExposedVideoData* viddata)
	{
		if (viddata)
			return viddata->D3D8.HWnd;
		else
			return 0;
	}
	
	void* IrrVideo_SExposedVideoData_getOGLWin32HDc(SExposedVideoData* viddata)
	{
		if (viddata)
			return viddata->OpenGLWin32.HDc;
		else
			return 0;
	}
	
	void* IrrVideo_SExposedVideoData_getOGLWin32HRc(SExposedVideoData* viddata)
	{
		if (viddata)
			return viddata->OpenGLWin32.HRc;
		else
			return 0;
	}
	
	void* IrrVideo_SExposedVideoData_getOGLWin32HWnd(SExposedVideoData* viddata)
	{
		if (viddata)
			return viddata->OpenGLWin32.HWnd;
		else
			return 0;
	}
	
	long IrrVideo_SExposedVideoData_getOGLLinuxWindow(SExposedVideoData* viddata)
	{
		if (viddata)
			return viddata->OpenGLLinux.X11Window;
		else
			return 0;
	}

	void* IrrVideo_SExposedVideoData_getOGLLinuxDisplay(SExposedVideoData* viddata)
	{
		if (viddata)
			return viddata->OpenGLLinux.X11Display;
		else
			return 0;
	}

	void* IrrVideo_SExposedVideoData_getOGLLinuxContext(SExposedVideoData* viddata)
	{
		if (viddata)
			return viddata->OpenGLLinux.X11Context;
		else
			return 0;
	}

}